package bank.common;

import java.rmi.Remote; 
import java.rmi.RemoteException; 

public interface Bank extends Remote {

	public static final int PORT = 1099;
	public static final String BANK_URL = "Bank";

	public long getBalance(int account) throws RemoteException;

	public void deposit(int account, long amount)
			throws RemoteException;

	public boolean transfer(int from, int to, long amount)
			throws RemoteException;

}
