package bank.server;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import bank.common.Bank;

public class BankServerMain {
	public BankServerMain() {
		try {
			Bank bank = new BankImpl();
			Registry reg = LocateRegistry.createRegistry(Bank.PORT);
			reg.bind(Bank.BANK_URL, bank);
		} catch (Exception e) {
			System.out.println("Trouble: " + e);
		}}

	public static void main(String args[]) {
		new BankServerMain();
	}
}
